@echo off
setlocal

set "FOUND="

sat_03_type_11_codec2_frame_000

for %%F in (sat*codec2_frame_*.bin) do (
    set "FOUND=1"
    goto :found
)

:found
if not defined FOUND (
    echo ERROR: No codec2 frame files found
	echo Press any key to exit
	pause 
    exit /b 1
)

REM Borra el archivo si ya existe
if exist codec2_file_list.txt del codec2_file_list.txt

REM Lista los archivos sat*.bin ordenados por nombre y los guarda
echo Looking for CODEC2 files...
dir /b /on sat*codec2_frame_*.bin
dir /b /on sat*codec2_frame_*.bin > codec2_file_list.txt

echo List generated on codec2_file_list.txt
codec2-merge-windows-x86 codec2_file_list.txt hades_sa.c2

echo Converting C2 file to raw - Generating hades_sa.raw
c2dec 700C hades_sa.c2 hades_sa.raw

echo Calling ffpmeg to generate hades_sa.wav from hades_sa.raw
ffmpeg\bin\ffmpeg -f s16le -ar 8000 -ac 1 -i hades_sa.raw hades_sa.wav

echo -
echo Finished. hades_sa.wav should exist if no errors
echo -

endlocal
pause
